<?php

namespace General\Services\Report;

use General\Models\Report\ReportUserBindRecord;
use App\Consts\BaseConst;

/**
 * UC数据上报
 */
class UcReport extends BaseReport
{
    public function __construct()
    {
        $this->charge_event_type = 1000;
        $this->register_event_type = 5;
        $this->report_url = 'https://huichuan.uc.cn/callback/ct/add';
    }

    public function getChargeQueryParams(ReportUserBindRecord $user, float $amount): array
    {
        return  [
            'link' => $user->link,
            'event_type' => $this->charge_event_type,
            'event_time' => time(),
            'source' => BaseConst::Platform,
        ];
    }

    public function getRegisterQueryParams(ReportUserBindRecord $user): array
    {
        return  [
            'link' => $user->link,
            'event_type' => $this->register_event_type,
            'event_time' => now(),
            'source' => BaseConst::Platform,
        ];
    }
}
